Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/include/OOO_Engine.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/include/OOO_Engine.h	(revision 138)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/include/OOO_Engine.h	(revision 139)
@@ -82,4 +82,5 @@
   public    : SC_IN (Tcontrol_t        )  ***  in_RENAME_LAST_EVENT                ;//[nb_front_end][nb_inst_decod]
   public    : SC_IN (Tcontrol_t        )  ***  in_RENAME_IS_DELAY_SLOT             ;//[nb_front_end][nb_inst_decod]
+  public    : SC_IN (Tcontrol_t        )  ***  in_RENAME_SAVE_RAT                  ;//[nb_front_end][nb_inst_decod]
 #ifdef DEBUG
   public    : SC_IN (Taddress_t        )  ***  in_RENAME_ADDRESS                   ;//[nb_front_end][nb_inst_decod]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/include/Parameters.h	(revision 138)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/include/Parameters.h	(revision 139)
@@ -64,6 +64,6 @@
   public : Tpriority_t           _issue_priority                   ;
   public : Tload_balancing_t     _issue_load_balancing             ;
-//   public : bool               ** _table_routing                    ;//[nb_rename_unit][nb_inst_issue]
-//   public : bool               ** _table_issue_type                 ;//[nb_inst_issue][nb_type]
+//public : bool               ** _table_routing                    ;//[nb_rename_unit][nb_inst_issue]
+//public : bool               ** _table_issue_type                 ;//[nb_inst_issue][nb_type]
     // Reexecute
   public : uint32_t              _size_reexecute_queue             ;
@@ -74,7 +74,8 @@
   public : uint32_t            * _nb_general_register              ;//[nb_rename_unit]
   public : uint32_t            * _nb_special_register              ;//[nb_rename_unit]
+  public : Trat_scheme_t       * _rat_scheme                       ;//[nb_rename_unit]
   public : uint32_t            * _nb_reg_free                      ;//[nb_rename_unit]
   public : uint32_t            * _nb_rename_unit_bank              ;//[nb_rename_unit]
-//   public : uint32_t            * _size_read_counter                ;//[nb_rename_unit]
+//public : uint32_t            * _size_read_counter                ;//[nb_rename_unit]
   public : uint32_t            * _nb_load_store_queue              ;//[nb_rename_unit]
   public : uint32_t           ** _size_store_queue                 ;//[nb_rename_unit][nb_load_store_queue]
@@ -94,6 +95,8 @@
   public : uint32_t           ** _rename_unit_nb_inst_decod                    ;//[nb_rename_unit][nb_front_end]
   public : uint32_t          *** _rename_unit_link_load_store_unit_with_thread ;//[nb_rename_unit][nb_front_end][nb_context]
+  public : uint32_t          *** _rename_unit_nb_branch_speculated             ;//[nb_rename_unit][nb_front_end][nb_context]
   public : uint32_t            * _rename_unit_size_front_end_id                ;//[nb_rename_unit]
   public : uint32_t            * _rename_unit_size_context_id                  ;//[nb_rename_unit]
+  public : Trat_scheme_t       * _commit_unit_rat_scheme                       ;//[nb_front_end]
   public : uint32_t              _max_nb_context                               ;
   public : uint32_t              _max_branch_speculated                        ;
@@ -171,4 +174,5 @@
                         uint32_t            * nb_general_register              ,//[nb_rename_unit]
                         uint32_t            * nb_special_register              ,//[nb_rename_unit]
+                        Trat_scheme_t       * rat_scheme                       ,//[nb_rename_unit]
                         uint32_t            * nb_reg_free                      ,//[nb_rename_unit]
                         uint32_t            * nb_rename_unit_bank              ,//[nb_rename_unit]
